import { FeatureBlend } from "../../../FeatureBlend";
export class InputVariablePopUp extends Jade.UI.Control {
    constructor(options) {
        super(options);
        this.m_handle = options.handle;
    }
    get handle() {
        return this.m_handle;
    }
    template() {
        return `<div class="-fb-input-variable-popup" style="display:none;width:350px;height:400px;">
                    <div>
                        <div>Existing</div>
                        <div>New</div>
                        <div></div>
                    </div>
                    <div>
                        <div></div>
                        <div></div>
                    </div>
                    <div>
                        <button>OK</button>
                        <button>Cancel</button>
                    </div>
                </div>`;
    }
    onActivate(e) {
        super.onActivate(e);
        this.popup_init();
    }
    popup_init() {
        Tipped.create(this.handle, this.node.get(0), {
            skin: FeatureBlend.defaultPopUpSkin,
            showOn: "click",
            hideOn: "click-outside",
            hideAfter: 500,
            hideDelay: 0,
            position: {
                target: "bottomright",
                tooltip: "topright"
            },
            offset: {
                y: 6,
                x: 5
            },
            stem: false,
            maxWidth: 300,
            onShow: () => {
                this.popup_onShow();
            }
        });
    }
    popup_onShow() {
    }
}
